<!DOCTYPE html>

<html>
  <head>
  <title>TestNG new reports</title>

    <link type="text/css" href="testng-reports.css" rel="stylesheet" />  
    <script type="text/javascript" src="jquery-1.7.1.min.js"></script>
    <script type="text/javascript" src="testng-reports.js"></script>
    <script type="text/javascript" src="https://www.google.com/jsapi"></script>
    <script type='text/javascript'>
      google.load('visualization', '1', {packages:['table']});
      google.setOnLoadCallback(drawTable);
      var suiteTableInitFunctions = new Array();
      var suiteTableData = new Array();
    </script>
    <!--
      <script type="text/javascript" src="jquery-ui/js/jquery-ui-1.8.16.custom.min.js"></script>
     -->
  </head>

  <body>
    <div class="top-banner-root">
      <span class="top-banner-title-font">Test results</span>
      <br/>
      <span class="top-banner-font-1">1 suite</span>
    </div> <!-- top-banner-root -->
    <div class="navigator-root">
      <div class="navigator-suite-header">
        <span>All suites</span>
        <a href="#" title="Collapse/expand all the suites" class="collapse-all-link">
          <img src="collapseall.gif" class="collapse-all-icon">
          </img> <!-- collapse-all-icon -->
        </a> <!-- collapse-all-link -->
      </div> <!-- navigator-suite-header -->
      <div class="suite">
        <div class="rounded-window">
          <div class="suite-header light-rounded-window-top">
            <a href="#" panel-name="suite-TestSuite" class="navigator-link">
              <span class="suite-name border-passed">TestSuite</span>
            </a> <!-- navigator-link -->
          </div> <!-- suite-header light-rounded-window-top -->
          <div class="navigator-suite-content">
            <div class="suite-section-title">
              <span>Info</span>
            </div> <!-- suite-section-title -->
            <div class="suite-section-content">
              <ul>
                <li>
                  <a href="#" panel-name="test-xml-TestSuite" class="navigator-link ">
                    <span>C:\Users\deepa\eclipse-workspace\SeleniumLearn\src\testng.xml</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" panel-name="testlist-TestSuite" class="navigator-link ">
                    <span class="test-stats">1 test</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" panel-name="group-TestSuite" class="navigator-link ">
                    <span>0 groups</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" panel-name="times-TestSuite" class="navigator-link ">
                    <span>Times</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" panel-name="reporter-TestSuite" class="navigator-link ">
                    <span>Reporter output</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" panel-name="ignored-methods-TestSuite" class="navigator-link ">
                    <span>Ignored methods</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" panel-name="chronological-TestSuite" class="navigator-link ">
                    <span>Chronological view</span>
                  </a> <!-- navigator-link  -->
                </li>
              </ul>
            </div> <!-- suite-section-content -->
            <div class="result-section">
              <div class="suite-section-title">
                <span>Results</span>
              </div> <!-- suite-section-title -->
              <div class="suite-section-content">
                <ul>
                  <li>
                    <span class="method-stats">8 methods,   8 passed</span>
                  </li>
                  <li>
                    <span class="method-list-title passed">Passed methods</span>
                    <span class="show-or-hide-methods passed">
                      <a href="#" panel-name="suite-TestSuite" class="hide-methods passed suite-TestSuite"> (hide)</a> <!-- hide-methods passed suite-TestSuite -->
                      <a href="#" panel-name="suite-TestSuite" class="show-methods passed suite-TestSuite"> (show)</a> <!-- show-methods passed suite-TestSuite -->
                    </span>
                    <div class="method-list-content passed suite-TestSuite">
                      <span>
                        <img src="passed.png" width="3%"/>
                        <a href="#" panel-name="suite-TestSuite" title="codes.TestAnnotDemo2" class="method navigator-link" hash-for-method="test01">test01</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img src="passed.png" width="3%"/>
                        <a href="#" panel-name="suite-TestSuite" title="codes.TestAnnotDemo01" class="method navigator-link" hash-for-method="test01">test01</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img src="passed.png" width="3%"/>
                        <a href="#" panel-name="suite-TestSuite" title="codes.TestAnnotDemo01" class="method navigator-link" hash-for-method="test02">test02</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img src="passed.png" width="3%"/>
                        <a href="#" panel-name="suite-TestSuite" title="codes.TestAnnotDemo2" class="method navigator-link" hash-for-method="test02">test02</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img src="passed.png" width="3%"/>
                        <a href="#" panel-name="suite-TestSuite" title="codes.TestAnnotDemo2" class="method navigator-link" hash-for-method="test03">test03</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img src="passed.png" width="3%"/>
                        <a href="#" panel-name="suite-TestSuite" title="codes.TestAnnotDemo01" class="method navigator-link" hash-for-method="test03">test03</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img src="passed.png" width="3%"/>
                        <a href="#" panel-name="suite-TestSuite" title="codes.TestAnnotDemo01" class="method navigator-link" hash-for-method="test04">test04</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img src="passed.png" width="3%"/>
                        <a href="#" panel-name="suite-TestSuite" title="codes.TestAnnotDemo2" class="method navigator-link" hash-for-method="test04">test04</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                    </div> <!-- method-list-content passed suite-TestSuite -->
                  </li>
                </ul>
              </div> <!-- suite-section-content -->
            </div> <!-- result-section -->
          </div> <!-- navigator-suite-content -->
        </div> <!-- rounded-window -->
      </div> <!-- suite -->
    </div> <!-- navigator-root -->
    <div class="wrapper">
      <div class="main-panel-root">
        <div panel-name="suite-TestSuite" class="panel TestSuite">
          <div class="suite-TestSuite-class-passed">
            <div class="main-panel-header rounded-window-top">
              <img src="passed.png"/>
              <span class="class-name">codes.TestAnnotDemo01</span>
            </div> <!-- main-panel-header rounded-window-top -->
            <div class="main-panel-content rounded-window-bottom">
              <div class="method">
                <div class="method-content">
                  <a name="test01">
                  </a> <!-- test01 -->
                  <span class="method-name">test01</span>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="test02">
                  </a> <!-- test02 -->
                  <span class="method-name">test02</span>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="test03">
                  </a> <!-- test03 -->
                  <span class="method-name">test03</span>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="test04">
                  </a> <!-- test04 -->
                  <span class="method-name">test04</span>
                </div> <!-- method-content -->
              </div> <!-- method -->
            </div> <!-- main-panel-content rounded-window-bottom -->
          </div> <!-- suite-TestSuite-class-passed -->
          <div class="suite-TestSuite-class-passed">
            <div class="main-panel-header rounded-window-top">
              <img src="passed.png"/>
              <span class="class-name">codes.TestAnnotDemo2</span>
            </div> <!-- main-panel-header rounded-window-top -->
            <div class="main-panel-content rounded-window-bottom">
              <div class="method">
                <div class="method-content">
                  <a name="test01">
                  </a> <!-- test01 -->
                  <span class="method-name">test01</span>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="test02">
                  </a> <!-- test02 -->
                  <span class="method-name">test02</span>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="test03">
                  </a> <!-- test03 -->
                  <span class="method-name">test03</span>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="test04">
                  </a> <!-- test04 -->
                  <span class="method-name">test04</span>
                </div> <!-- method-content -->
              </div> <!-- method -->
            </div> <!-- main-panel-content rounded-window-bottom -->
          </div> <!-- suite-TestSuite-class-passed -->
        </div> <!-- panel TestSuite -->
        <div panel-name="test-xml-TestSuite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">C:\Users\deepa\eclipse-workspace\SeleniumLearn\src\testng.xml</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <pre>
&lt;?xml version=&quot;1.0&quot; encoding=&quot;UTF-8&quot;?&gt;
&lt;!DOCTYPE suite SYSTEM &quot;http://testng.org/testng-1.0.dtd&quot;&gt;
&lt;suite name=&quot;TestSuite&quot;&gt;
  &lt;test name=&quot;Annotation Demo&quot; verbose=&quot;2&quot; preserve-order=&quot;true&quot;&gt;
    &lt;classes&gt;
      &lt;class name=&quot;codes.SuiteInit&quot;/&gt;
      &lt;class name=&quot;codes.TestAnnotDemo01&quot;/&gt;
      &lt;class name=&quot;codes.TestAnnotDemo2&quot;/&gt;
    &lt;/classes&gt;
  &lt;/test&gt; &lt;!-- Annotation Demo --&gt;
&lt;/suite&gt; &lt;!-- TestSuite --&gt;
            </pre>
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="testlist-TestSuite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Tests for TestSuite</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <ul>
              <li>
                <span class="test-name">Annotation Demo (3 classes)</span>
              </li>
            </ul>
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="group-TestSuite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Groups for TestSuite</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="times-TestSuite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Times for TestSuite</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <div class="times-div">
              <script type="text/javascript">
suiteTableInitFunctions.push('tableData_TestSuite');
function tableData_TestSuite() {
var data = new google.visualization.DataTable();
data.addColumn('number', 'Number');
data.addColumn('string', 'Method');
data.addColumn('string', 'Class');
data.addColumn('number', 'Time (ms)');
data.addRows(8);
data.setCell(0, 0, 0)
data.setCell(0, 1, 'test01')
data.setCell(0, 2, 'codes.TestAnnotDemo01')
data.setCell(0, 3, 3);
data.setCell(1, 0, 1)
data.setCell(1, 1, 'test04')
data.setCell(1, 2, 'codes.TestAnnotDemo01')
data.setCell(1, 3, 1);
data.setCell(2, 0, 2)
data.setCell(2, 1, 'test02')
data.setCell(2, 2, 'codes.TestAnnotDemo01')
data.setCell(2, 3, 1);
data.setCell(3, 0, 3)
data.setCell(3, 1, 'test03')
data.setCell(3, 2, 'codes.TestAnnotDemo2')
data.setCell(3, 3, 1);
data.setCell(4, 0, 4)
data.setCell(4, 1, 'test04')
data.setCell(4, 2, 'codes.TestAnnotDemo2')
data.setCell(4, 3, 1);
data.setCell(5, 0, 5)
data.setCell(5, 1, 'test01')
data.setCell(5, 2, 'codes.TestAnnotDemo2')
data.setCell(5, 3, 1);
data.setCell(6, 0, 6)
data.setCell(6, 1, 'test03')
data.setCell(6, 2, 'codes.TestAnnotDemo01')
data.setCell(6, 3, 1);
data.setCell(7, 0, 7)
data.setCell(7, 1, 'test02')
data.setCell(7, 2, 'codes.TestAnnotDemo2')
data.setCell(7, 3, 0);
window.suiteTableData['TestSuite']= { tableData: data, tableDiv: 'times-div-TestSuite'}
return data;
}
              </script>
              <span class="suite-total-time">Total running time: 9 ms</span>
              <div id="times-div-TestSuite">
              </div> <!-- times-div-TestSuite -->
            </div> <!-- times-div -->
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="reporter-TestSuite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Reporter output for TestSuite</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="ignored-methods-TestSuite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">0 ignored methods</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="chronological-TestSuite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Methods in chronological order</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <div class="chronological-class">
              <div class="chronological-class-name">codes.SuiteInit</div> <!-- chronological-class-name -->
              <div class="configuration-suite before">
                <span class="method-name">beforeSuite</span>
                <span class="method-start">0 ms</span>
              </div> <!-- configuration-suite before -->
              <div class="configuration-test before">
                <span class="method-name">beforeTest</span>
                <span class="method-start">7 ms</span>
              </div> <!-- configuration-test before -->
            </div> <!-- chronological-class -->
            <div class="chronological-class">
              <div class="chronological-class-name">codes.TestAnnotDemo01</div> <!-- chronological-class-name -->
              <div class="configuration-class before">
                <span class="method-name">beforeClass</span>
                <span class="method-start">10 ms</span>
              </div> <!-- configuration-class before -->
              <div class="configuration-method before">
                <span class="method-name">before</span>
                <span class="method-start">12 ms</span>
              </div> <!-- configuration-method before -->
              <div class="test-method">
                <span class="method-name">test01</span>
                <span class="method-start">12 ms</span>
              </div> <!-- test-method -->
              <div class="configuration-method after">
                <span class="method-name">after</span>
                <span class="method-start">15 ms</span>
              </div> <!-- configuration-method after -->
              <div class="configuration-method before">
                <span class="method-name">before</span>
                <span class="method-start">16 ms</span>
              </div> <!-- configuration-method before -->
              <div class="test-method">
                <span class="method-name">test02</span>
                <span class="method-start">16 ms</span>
              </div> <!-- test-method -->
              <div class="configuration-method after">
                <span class="method-name">after</span>
                <span class="method-start">17 ms</span>
              </div> <!-- configuration-method after -->
              <div class="configuration-method before">
                <span class="method-name">before</span>
                <span class="method-start">17 ms</span>
              </div> <!-- configuration-method before -->
              <div class="test-method">
                <span class="method-name">test03</span>
                <span class="method-start">17 ms</span>
              </div> <!-- test-method -->
              <div class="configuration-method after">
                <span class="method-name">after</span>
                <span class="method-start">19 ms</span>
              </div> <!-- configuration-method after -->
              <div class="configuration-method before">
                <span class="method-name">before</span>
                <span class="method-start">19 ms</span>
              </div> <!-- configuration-method before -->
              <div class="test-method">
                <span class="method-name">test04</span>
                <span class="method-start">19 ms</span>
              </div> <!-- test-method -->
              <div class="configuration-method after">
                <span class="method-name">after</span>
                <span class="method-start">20 ms</span>
              </div> <!-- configuration-method after -->
              <div class="configuration-class after">
                <span class="method-name">afterClass</span>
                <span class="method-start">21 ms</span>
              </div> <!-- configuration-class after -->
            </div> <!-- chronological-class -->
            <div class="chronological-class">
              <div class="chronological-class-name">codes.TestAnnotDemo2</div> <!-- chronological-class-name -->
              <div class="configuration-class before">
                <span class="method-name">beforeClass</span>
                <span class="method-start">22 ms</span>
              </div> <!-- configuration-class before -->
              <div class="configuration-method before">
                <span class="method-name">before</span>
                <span class="method-start">22 ms</span>
              </div> <!-- configuration-method before -->
              <div class="test-method">
                <span class="method-name">test01</span>
                <span class="method-start">22 ms</span>
              </div> <!-- test-method -->
              <div class="configuration-method after">
                <span class="method-name">after</span>
                <span class="method-start">24 ms</span>
              </div> <!-- configuration-method after -->
              <div class="configuration-method before">
                <span class="method-name">before</span>
                <span class="method-start">24 ms</span>
              </div> <!-- configuration-method before -->
              <div class="test-method">
                <span class="method-name">test02</span>
                <span class="method-start">24 ms</span>
              </div> <!-- test-method -->
              <div class="configuration-method after">
                <span class="method-name">after</span>
                <span class="method-start">25 ms</span>
              </div> <!-- configuration-method after -->
              <div class="configuration-method before">
                <span class="method-name">before</span>
                <span class="method-start">25 ms</span>
              </div> <!-- configuration-method before -->
              <div class="test-method">
                <span class="method-name">test03</span>
                <span class="method-start">25 ms</span>
              </div> <!-- test-method -->
              <div class="configuration-method after">
                <span class="method-name">after</span>
                <span class="method-start">26 ms</span>
              </div> <!-- configuration-method after -->
              <div class="configuration-method before">
                <span class="method-name">before</span>
                <span class="method-start">26 ms</span>
              </div> <!-- configuration-method before -->
              <div class="test-method">
                <span class="method-name">test04</span>
                <span class="method-start">26 ms</span>
              </div> <!-- test-method -->
              <div class="configuration-method after">
                <span class="method-name">after</span>
                <span class="method-start">27 ms</span>
              </div> <!-- configuration-method after -->
              <div class="configuration-class after">
                <span class="method-name">afterClass</span>
                <span class="method-start">27 ms</span>
              </div> <!-- configuration-class after -->
            </div> <!-- chronological-class -->
            <div class="chronological-class">
              <div class="chronological-class-name">codes.SuiteInit</div> <!-- chronological-class-name -->
              <div class="configuration-test after">
                <span class="method-name">afterTest</span>
                <span class="method-start">28 ms</span>
              </div> <!-- configuration-test after -->
              <div class="configuration-suite after">
                <span class="method-name">afterSuite</span>
                <span class="method-start">71 ms</span>
              </div> <!-- configuration-suite after -->
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
      </div> <!-- main-panel-root -->
    </div> <!-- wrapper -->
  </body>
</html>
